summaryrefslogtreecommitdiffstats
path: root/perl/perl-gnome2-canvas/perl-gnome2-canvas.SlackBuild
diff options
context:
space:
mode:
author Edinaldo P. Silva2017-03-12 17:05:39 +0100
committer Willy Sudiarto Raharjo2017-03-18 00:58:21 +0100
commit02aabc74a72e59d48021aa771fec8c0d430eda75 (patch)
treeee2be0798078215bcd6608c8874e0b90c6d8b4bb /perl/perl-gnome2-canvas/perl-gnome2-canvas.SlackBuild
parentd05ec1e0af5975448dc71aeb648bcaa4db192782 (diff)
downloadslackbuilds-02aabc74a72e59d48021aa771fec8c0d430eda75.tar.gz
perl/perl-gnome2-canvas: New maintainer + switch to i586.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'perl/perl-gnome2-canvas/perl-gnome2-canvas.SlackBuild')
-rw-r--r--perl/perl-gnome2-canvas/perl-gnome2-canvas.SlackBuild26
1 files changed, 13 insertions, 13 deletions
diff --git a/perl/perl-gnome2-canvas/perl-gnome2-canvas.SlackBuild b/perl/perl-gnome2-canvas/perl-gnome2-canvas.SlackBuild
index 76d3a9c313..9567cc1a58 100644
--- a/perl/perl-gnome2-canvas/perl-gnome2-canvas.SlackBuild
+++ b/perl/perl-gnome2-canvas/perl-gnome2-canvas.SlackBuild
@@ -1,8 +1,11 @@
#!/bin/sh
-
-# Slackware build script for perl-gnome2-canvas
-
+#
+# Slackware build script for perl-gnome2-canvas.
+#
# Copyright 2010 Binh Nguyen <binhvng@gmail.com>
+# Copyright 2014-2017 Glenn Becker <glenn.becker@gmail.com>
+# Copyright 2017 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+#
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,18 +24,15 @@
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# 2014-10-11 Adopted by Glenn Becker <burningc@sdf.org>
PRGNAM=perl-gnome2-canvas
VERSION=${VERSION:-1.002}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
-SRCNAM=Gnome2-Canvas
-
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -43,8 +43,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -57,7 +57,9 @@ else
LIBDIRSUFFIX=""
fi
-set -eu
+SRCNAM="Gnome2-Canvas"
+
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -86,8 +88,6 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
find $PKG/usr/man -type f -exec gzip -9 {} \;
-# Remove perllocal.pod and other special files that don't need to be installed,
-# as they will overwrite what's already on the system
find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
# Remove empty directories